Authorize endpoint

The authorization endpoint is used to interact with the user and obtain an authorization grant (code). This endpoint should be visited from a browser as it displays a page with a login form where users can enter their credentials.

In order to use this endpoint your application must be registered within Karhoo auth service as a valid client (assigned with a client_id and with its redirect_uri whitelisted).

Upon successful authentication the user will be redirected back to the redirect_uri with an authorization code passed as a query parameter (e.g. https://your-app.example.com/oauth/callback?code=eBd...sd0). The code should be further used on /oauth/v2/token endpoint to obtain Karhoo access token which completes the 2-legged authorization process.

This endpoint is compliant with the OAuth 2.0 Authorization Framework spec.

Query Params
string
required

An identifier of your app registered within Karhoo auth service as a valid client.

string
required

A URI the user is going to be redirected into upon a successful authentication with an authorization code (must be whitelisted within Karhoo auth service).

string
required

A space-separated list of scopes requested access token should be issued with. This value is typically set to openid profile email phone https://karhoo.com/traveller.

string
enum
required
Allowed:
Responses
200

A login page (in case the user has not been logged in before).

Language
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*